{
  "factory": {
    "id": "ftp-client-config",
    "type": "entaxy.runtime.route.component",
    "isAbstract": false,
    "parent": "abstract-route-component"
  },
  "entaxy.runtime.route.component": {},
  "fields": {
		"camel_ftpClient.controlEncoding": {
			"displayName": "FTP Control encoding",
			"description": "Character encoding used for communicating over an FTP control connection. The default encoding is an ASCII-compatible encoding.  Some FTP servers expect other encodings.",
			"type": "string",
			"group": "ftp client"
		},
		"camel_ftpClient.autodetectUTF8": {
			"displayName": "Autodetect UTF8",
			"description": "Controls the automatic server encoding detection (only UTF-8 supported).",
			"type": "boolean",
			"group": "ftp client",
			"defaultValue": false
		}
  },
	"outputs": {
		"init": {
			"isDefault": true,
			"fields": {
			},
			"config": {
				"configurable": false
			}			
		}
	}
}